org.apache.solr.handler

## Class BlobHandler

- java.lang.Object
- - org.apache.solr.handler.RequestHandlerBase
  - - org.apache.solr.handler.BlobHandler

- All Implemented Interfaces:
    SolrInfoMBean, NestedRequestHandler, SolrRequestHandler, PluginInfoInitialized

      public class BlobHandler
      extends RequestHandlerBase
      implements PluginInfoInitialized

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.handler.RequestHandlerBase

      `appends, defaults, httpCaching, initArgs, invariants`

    - ### Fields inherited from interface org.apache.solr.request.SolrRequestHandler

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlobHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Simple one or two line description
    `SolrRequestHandler` | `getSubHandler(String subPath)` Return a RequestHandler to handle a subpath from the path this handler is registered.
    `void` | `handleRequestBody(SolrQueryRequest req, SolrQueryResponse rsp)`
    `static void` | `indexMap(SolrQueryRequest req, SolrQueryResponse rsp, Map<String,Object> doc)`
    `void` | `init(PluginInfo info)`

    - ### Methods inherited from class org.apache.solr.handler.RequestHandlerBase

      `getCategory, getDocs, getInitArgs, getName, getPluginInfo, getRequestHandler, getSolrParamsFromNamedList, getSource, getStatistics, getVersion, handleRequest, init, setPluginInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlobHandler

          public BlobHandler()

  - ### Method Detail

    - #### handleRequestBody

          public void handleRequestBody(SolrQueryRequest req,
                                        SolrQueryResponse rsp)
                                 throws Exception

      Specified by:
        `handleRequestBody` in class `RequestHandlerBase`
      Throws:
        `Exception`

    - #### indexMap

          public static void indexMap(SolrQueryRequest req,
                                      SolrQueryResponse rsp,
                                      Map<String,Object> doc)
                               throws IOException

      Throws:
        `IOException`

    - #### getSubHandler

          public SolrRequestHandler getSubHandler(String subPath)

      Description copied from interface: `NestedRequestHandler`
      Return a RequestHandler to handle a subpath from the path this handler is registered.
      Specified by:
        `getSubHandler` in interface `NestedRequestHandler`
      Overrides:
        `getSubHandler` in class `RequestHandlerBase`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `RequestHandlerBase`

    - #### init

          public void init(PluginInfo info)

      Specified by:
        `init` in interface `PluginInfoInitialized`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.